{% extends 'base.html' %}

{% block content %}
    <h2>Solución de Derivadas</h2>
    <form method="post">
        {% csrf_token %}
        <label for="input_expression">Expresión:</label>
        <input type="text" name="input_expression">
        <button type="submit">Calcular</button>
    </form>
    <ul>
        {% for data in derivatives_data %}
            <li>Expresión: {{ data.input_expression }} -> Resultado: {{ data.result }}</li>
        {% endfor %}
    </ul>
{% endblock %}
